curl --request POST \
--url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 123,
"email": "<string>",
"firstName": "<string>",
"formFields": [
{
"name": "<string>",
"value": "<string>"
}
],
"lastName": "<string>",
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"likelyAvailableUserIds": [
"<string>"
],
"slug": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"locale": "<string>",
"timezone": "<string>"
}
'{
"bookingTimezone": "<string>",
"calendarEventId": "<string>",
"contactId": "<string>",
"duration": 123,
"end": "2023-11-07T05:31:56Z",
"formFields": [
{
"isCustom": true,
"label": "<string>",
"name": "<string>",
"value": "<string>",
"fieldType": "<string>",
"translatedLabel": "<string>",
"valueLabel": "<string>"
}
],
"guestEmails": [
"<string>"
],
"isOffline": true,
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"start": "2023-11-07T05:31:56Z",
"subject": "<string>",
"locale": "<string>",
"location": "<string>",
"webConferenceMeetingId": "<string>",
"webConferenceUrl": "<string>"
}Agende uma reunião para uma página de reunião específica.
curl --request POST \
--url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 123,
"email": "<string>",
"firstName": "<string>",
"formFields": [
{
"name": "<string>",
"value": "<string>"
}
],
"lastName": "<string>",
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"likelyAvailableUserIds": [
"<string>"
],
"slug": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"locale": "<string>",
"timezone": "<string>"
}
'{
"bookingTimezone": "<string>",
"calendarEventId": "<string>",
"contactId": "<string>",
"duration": 123,
"end": "2023-11-07T05:31:56Z",
"formFields": [
{
"isCustom": true,
"label": "<string>",
"name": "<string>",
"value": "<string>",
"fieldType": "<string>",
"translatedLabel": "<string>",
"valueLabel": "<string>"
}
],
"guestEmails": [
"<string>"
],
"isOffline": true,
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"start": "2023-11-07T05:31:56Z",
"subject": "<string>",
"locale": "<string>",
"location": "<string>",
"webConferenceMeetingId": "<string>",
"webConferenceUrl": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
A duração da reunião em milissegundos.
O endereço de e-mail da pessoa que está agendando a reunião.
O nome da pessoa que está agendando a reunião.
Show child attributes
O sobrenome da pessoa que está agendando a reunião.
Show child attributes
O identificador de caminho exclusivo para a página da reunião.
A data e a hora em que a reunião está agendada para começar, no formato ISO 8601.
A localidade usada para formatar datas e horas ao agendar uma reunião.
O fuso horário em que a reunião está agendada.
successful operation
O fuso horário em que a reunião foi agendada.
O identificador exclusivo do evento de calendário da reunião.
O ID do contato associado à reunião.
A duração da reunião em milissegundos.
A data e a hora previstas para o término da reunião, no formato ISO 8601.
Show child attributes
Indica se a reunião foi agendada offline e nenhum evento de calendário associado foi criado.
Show child attributes
A data e a hora em que a reunião está agendada para começar, no formato ISO 8601.
Título da reunião e evento de calendário.
A localidade na qual a reunião foi agendada é usada para determinar a formatação da data na descrição do evento de calendário.
O local físico ou virtual onde a reunião ocorrerá.
O identificador exclusivo para a reunião por videoconferência.
O URL para acessar a videoconferência da reunião.